%li.commit.js-toggle-container
  .commit-row-title
    = link_to commit.short_id(8), project_commit_path(project, commit), class: "commit_short_id"
    &nbsp;
    %span.str-truncated
      = link_to_gfm commit.title, project_commit_path(project, commit.id), class: "commit-row-message"
      - if commit.description?
        %a.text-expander.js-toggle-button ...

    = link_to "#{t('merge_request_section.browse_code')} »", project_tree_path(project, commit), class: "pull-right"
    .notes_count
      - notes = project.notes.for_commit_id(commit.id)
      - if notes.any?
        %span.label.label-gray
          %i.icon-comment
          = notes.count

  - if commit.description?
    .commit-row-description.js-toggle-content
      = simple_format(commit.description)

  .commit-row-info
    = commit_author_link(commit, avatar: true, size: 16)
    .committed_ago
      #{time_ago_with_tooltip(commit.committed_date)} &nbsp;
